• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

GMS 2.3+ Can't start GM2: runtime install incomplete

alexlya

Member
Bought GMS2 through Steam. When I try to launch get error:

Runtime install incomplete.
The underlying connection was closed: Could not establish trust relationship for the SSL/TLS secure channel.
Remote certificate is invalid according to the validation procedure.

Full error message screenshot attached.
Looks like it happens while installing runtime 2.3.5.458.

If it's a cert issue it should be a problem on yoyo's side?
Could it be related to Let's Encrypt's recent cert expiration?

GMS2 version: 2.3.5.589
OS: Windows 8.1

I do not have any antivirus software installed.
 

Attachments

Last edited:

alexlya

Member
OK. After trying to launch for like 5th time it worked. I did not do anything. I did not even restart computer. Go figure.

Computers are hard.
 

rIKmAN

Member
OK. After trying to launch for like 5th time it worked. I did not do anything. I did not even restart computer. Go figure.

Computers are hard.
It was a known issue on YYG's end which was affecting some users and was fixed in the last hour.

I also had the same error this morning and just got a reply to my ticket saying it was now fixed. Not able test yet but it happened with both Beta and Stable for me, though rolling back to the previous version worked fine for both.
 

alexlya

Member
It was a known issue on YYG's end which was affecting some users and was fixed in the last hour.

I also had the same error this morning and just got a reply to my ticket saying it was now fixed. Not able test yet but it happened with both Beta and Stable for me, though rolling back to the previous version worked fine for both.
Yeah, I freaked out cause I just spent $100 and could not start the program. Glad it got resolved.
 
Top